Returns the timestamp component of this ObjectId

- « MongoDB\BSON\ObjectId::__construct

- MongoDB\BSON\ObjectId::jsonSerialize »

- PHP Manual
- MongoDB\BSON\ObjectId
- Returns the timestamp component of this ObjectId

# MongoDB\BSON\ObjectId::getTimestamp

(mongodb >=1.2.0)

MongoDB\BSON\ObjectId::getTimestamp — Returns the timestamp component of this ObjectId

### Description

final public MongoDB\BSON\ObjectId::getTimestamp(): int

The timestamp component of an ObjectId is its most significant 32 bits, which denotes the number of seconds since the Unix epoch. This value is read as an unsigned 32-bit integer with big-endian byte order.

> Note: Because PHP's integer type is signed, some values returned by this method may appear as negative integers on 32-bit platforms. The `"%u"` formatter of sprintf() may be used to obtain a string representation of the unsigned decimal value.

### Parameters

This function has no parameters.

### Return Values

Returns the timestamp component of this ObjectId.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\ObjectId::getTimestamp() example

    <?phpvar_dump((new MongoDB\BSON\ObjectId())->getTimestamp());var_dump((new MongoDB\BSON\ObjectId('0000002a0000000000000000'))->getTimestamp());?>

The above example will output something similar to:

    integer(1484854719)
    integer(42)

### See Also

- » ObjectId Reference
- » BSON Types: ObjectId